Package org.apache.groovy.contracts.common.spi

# Class AnnotationProcessor

java.lang.Object
org.apache.groovy.contracts.common.spi.AnnotationProcessor

Direct Known Subclasses:
  `ClassInvariantAnnotationProcessor`, `EnsuresAnnotationProcessor`, `RequiresAnnotationProcessor`

public abstract class AnnotationProcessor extends Object

Base class for modifying the internal domain model, starting at `Contract`, and adding parts to it.

See Also:
  - `AnnotationProcessorImplementation`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AnnotationProcessor()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `process(ProcessingContextInformation processingContextInformation, Contract contract, ClassNode classNode, MethodNode methodNode, BlockStatement blockStatement, BooleanExpression booleanExpression)`
  `void`
  `process(ProcessingContextInformation processingContextInformation, Contract contract, ClassNode classNode, BlockStatement blockStatement, BooleanExpression booleanExpression)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AnnotationProcessor

    public AnnotationProcessor()

- ## Method Details

  - ### process

    public void process(ProcessingContextInformation processingContextInformation, Contract contract, ClassNode classNode, BlockStatement blockStatement, BooleanExpression booleanExpression)

  - ### process

    public void process(ProcessingContextInformation processingContextInformation, Contract contract, ClassNode classNode, MethodNode methodNode, BlockStatement blockStatement, BooleanExpression booleanExpression)